<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: WINDOW Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_w_i_n_d_o_w.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">WINDOW Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="window_8h_source.html">window.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a0399eb78125961fc22085d4aac6b0d15"><td class="memItemLeft" align="right" valign="top">const void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#a0399eb78125961fc22085d4aac6b0d15">class</a></td></tr>
<tr class="separator:a0399eb78125961fc22085d4aac6b0d15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae54efda219ff233e2e9091a7300cb33e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#ae54efda219ff233e2e9091a7300cb33e">splash</a></td></tr>
<tr class="separator:ae54efda219ff233e2e9091a7300cb33e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a525d7765f214d3564dd0646d4459fee6"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#a525d7765f214d3564dd0646d4459fee6">is_main_window</a></td></tr>
<tr class="separator:a525d7765f214d3564dd0646d4459fee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac20922fac488c617dcd7fa781aaef2db"><td class="memItemLeft" align="right" valign="top"><a class="el" href="string_8h.html#a7b8d5f391a1b623ca8634cbdecd1341c">StringClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#ac20922fac488c617dcd7fa781aaef2db">name</a></td></tr>
<tr class="separator:ac20922fac488c617dcd7fa781aaef2db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5c30ec3e3fc372af365f299e7a6abde"><td class="memItemLeft" align="right" valign="top"><a class="el" href="uuid_8h.html#aeaecee048736f8af77fe2861adc828df">UuidClass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#aa5c30ec3e3fc372af365f299e7a6abde">uuid</a></td></tr>
<tr class="separator:aa5c30ec3e3fc372af365f299e7a6abde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa8e409e04dcf575ef63fd5fb3db06f9"><td class="memItemLeft" align="right" valign="top">SDL_Window *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">window</a></td></tr>
<tr class="separator:aaa8e409e04dcf575ef63fd5fb3db06f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f5cac12e913bcfcff660305bf88dd3b"><td class="memItemLeft" align="right" valign="top">SDL_Surface *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#a2f5cac12e913bcfcff660305bf88dd3b">surface</a></td></tr>
<tr class="separator:a2f5cac12e913bcfcff660305bf88dd3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a966da7a60c4ea3ba301e26ccc5efe452"><td class="memItemLeft" align="right" valign="top">SDL_Renderer *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#a966da7a60c4ea3ba301e26ccc5efe452">renderer</a></td></tr>
<tr class="separator:a966da7a60c4ea3ba301e26ccc5efe452"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a859b8efbf9abe8e82757ee5c75a0c97c"><td class="memItemLeft" align="right" valign="top">SDL_Texture *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#a859b8efbf9abe8e82757ee5c75a0c97c">texture</a></td></tr>
<tr class="separator:a859b8efbf9abe8e82757ee5c75a0c97c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5e3aa2ee28fe5a624f1c45095fd2b51"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#ab5e3aa2ee28fe5a624f1c45095fd2b51">prepareRender</a> )(<a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *<a class="el" href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">window</a>)</td></tr>
<tr class="separator:ab5e3aa2ee28fe5a624f1c45095fd2b51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8ba408155d09b4ff60666c146839ca7"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_w_i_n_d_o_w.html#af8ba408155d09b4ff60666c146839ca7">render</a> )(<a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *<a class="el" href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">window</a>)</td></tr>
<tr class="separator:af8ba408155d09b4ff60666c146839ca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2progress_2include_2progress_8h-example.html#_a1">/home/daniele/CLionProjects/distroInfos/entities/progress/include/progress.h</a>, and <a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#_a6">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a0399eb78125961fc22085d4aac6b0d15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0399eb78125961fc22085d4aac6b0d15">&#9670;&nbsp;</a></span>class</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const void* class</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a525d7765f214d3564dd0646d4459fee6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a525d7765f214d3564dd0646d4459fee6">&#9670;&nbsp;</a></span>is_main_window</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int is_main_window</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a8">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<a id="ac20922fac488c617dcd7fa781aaef2db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac20922fac488c617dcd7fa781aaef2db">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="string_8h.html#a7b8d5f391a1b623ca8634cbdecd1341c">StringClass</a>* name</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a10">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<a id="ab5e3aa2ee28fe5a624f1c45095fd2b51"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5e3aa2ee28fe5a624f1c45095fd2b51">&#9670;&nbsp;</a></span>prepareRender</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* prepareRender(<a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *<a class="el" href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">window</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a17">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<a id="af8ba408155d09b4ff60666c146839ca7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8ba408155d09b4ff60666c146839ca7">&#9670;&nbsp;</a></span>render</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* render(<a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *<a class="el" href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">window</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a18">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<a id="a966da7a60c4ea3ba301e26ccc5efe452"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a966da7a60c4ea3ba301e26ccc5efe452">&#9670;&nbsp;</a></span>renderer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_Renderer* renderer</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a15">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<a id="ae54efda219ff233e2e9091a7300cb33e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae54efda219ff233e2e9091a7300cb33e">&#9670;&nbsp;</a></span>splash</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int splash</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a7">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<a id="a2f5cac12e913bcfcff660305bf88dd3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f5cac12e913bcfcff660305bf88dd3b">&#9670;&nbsp;</a></span>surface</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_Surface* surface</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a14">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<a id="a859b8efbf9abe8e82757ee5c75a0c97c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a859b8efbf9abe8e82757ee5c75a0c97c">&#9670;&nbsp;</a></span>texture</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_Texture* texture</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a16">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<a id="aa5c30ec3e3fc372af365f299e7a6abde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5c30ec3e3fc372af365f299e7a6abde">&#9670;&nbsp;</a></span>uuid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="uuid_8h.html#aeaecee048736f8af77fe2861adc828df">UuidClass</a>* uuid</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a12">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<a id="aaa8e409e04dcf575ef63fd5fb3db06f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa8e409e04dcf575ef63fd5fb3db06f9">&#9670;&nbsp;</a></span>window</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_Window* window</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section examples"><dt>Examples</dt><dd><a class="el" href="_2home_2daniele_2_c_lion_projects_2distro_infos_2entities_2window_2include_2window_8h-example.html#a13">/home/daniele/CLionProjects/distroInfos/entities/window/include/window.h</a>.</dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>entities/window/include/<a class="el" href="window_8h_source.html">window.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_w_i_n_d_o_w.html">WINDOW</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
